# Event: LCCS National Workshop 3
# Date: Jan 2019
# Author: Joe English, PDST
# eMail: computerscience@pdst.ie
# Purpose: A demo program to plot temperature data saved earlier
import plotly as plt
import plotly.graph_objs as graf

#open the temperature data file
dataFile = open("temperatureV2.txt", "r")

# Create a list for the temperature values (y-axis)
temperature_values = [] # a list of all the temperature values
for line in dataFile:
    # extract the temperature from each line
    temperature_values.append(line.split()[2])

# Create a list for x-axis
x_axis = []
for i in range(len(temperature_values)):
    x_axis.append(i)

#plot the data  
plotData = graf.Scatter(name = "model", x = x_axis, y = temperature_values)
layoutSettings = graf.Layout(title = "Temperature Data", plot_bgcolor = "cyan", height = 500, width = 1000)
plt.offline.plot({
    "data" : [plotData],
    "layout" : layoutSettings  })
