# Event: LCCS National Workshop 3
# Date: Jan 2019
# Author: Joe English, PDST
# eMail: computerscience@pdst.ie
# Purpose: A demo program to read temperature data from a serial port clean it up and save it to a file 

import serial

ser = serial.Serial()
ser.baudrate = 115200
ser.port = 'com12'

ser.open()

while True:
    infoString = str(ser.readline())

    if len(infoString) > 3 : # ignore lines shorter than 3
        # extract the temperature data
        cleanString = infoString[2:]
        cleanString = cleanString.replace(" ", "")
        cleanString = cleanString.replace("\\n'", "")
        cleanString = cleanString.replace("\\r", "")
        temperature = float(cleanString)
        print("Temperature %.2f%sC" %(temperature, u'\u00b0')) # display the temperature
        
        # write the temperature to a file
        dataFile = open("temperatureV1.txt", "a")
        dataFile.write(str(temperature)+"\n")
        dataFile.close() 
    

