# Event: LCCS National Workshop 3
# Date: Jan 2019
# Author: Joe English, PDST
# eMail: computerscience@pdst.ie
# Purpose: A demo program to read temperature data from a serial port clean it up and save it along with a timestamp to a file

import serial, datetime

ser = serial.Serial()
ser.baudrate = 115200
ser.port = 'com11'

ser.open()

while True:
    infoString = str(ser.readline())

    if len(infoString) > 3 :
        # extract the temperature data
        cleanString = infoString[2:]
        cleanString = cleanString.replace(" ", "")
        cleanString = cleanString.replace("\\n'", "")
        cleanString = cleanString.replace("\\r", "")
        temperature = float(cleanString)

        # prepare the string to write
        timeStamp = str(datetime.datetime.now())
        dataString = timeStamp+ ", " +str(temperature)
        print(dataString+u'\u00b0'+"C")
        
        # write the string to a file
        dataFile = open("temperatureV2.txt", "a")
        dataFile.write(dataString+"\n")
        dataFile.close() 


