import plotly as plt
import plotly.graph_objs as graf
import math

# Average daytime temperatures - Jan-Dec
temps = [4, 7, 11, 12, 15, 18, 19, 20, 15, 12, 8, 4] # y-values

# Generate the x-values
months = [None] * 12
for i in range(12):
    months[i] = i+1

# Now generate the model
baseline = 12
amplitude = (max(temps) - min(temps))/2
period = (2*math.pi)/12
phase = (3*math.pi)/2 # sin is at its minimum at 3*pi/2

temps2 = []
for month in range(12) :
    # sin model: a*sin(bx + c) + d
    currTemp = amplitude * math.sin(period*month+phase) + baseline
    currTemp = round(currTemp, 2)
    temps2.append(str(currTemp))

#plot the data  
plotData1 = graf.Scatter(name = "Actual Data", x = months, y = temps)
plotData2 = graf.Scatter(name = "Model Data", x = months, y = temps2)
plotData = [plotData1, plotData2]
layoutSettings = graf.Layout(title = "Modelled Data v2")
plt.offline.plot(plotData, filename='bar-line.html')


